%global module_name xmldom

Name:           nodejs-%{module_name}
Version:        0.1.19
Release:        1%{?dist}
Summary:        A W3C Standard XML DOM implementation and parser

License:        MIT
URL:            https://github.com/jindw/%{module_name}
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging
# As suggested in package review
#BuildRequires:  nodejs-proof

%description
A JavaScript implementation of W3C DOM for Node.js, Rhino and the browser.
Fully compatible with W3C DOM level2; and some compatible with level3.
Supports DOMParser and XMLSerializer interface such as in browser.

%prep
%setup -q -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
# As suggested in package review
#proof test */*/*.t.js

%files
%doc LICENSE readme.md
%{nodejs_sitelib}/%{module_name}


%changelog
* Mon Sep 15 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.1.19-1
- Initial packaging

